package cn.com.qmth.examcloud.task.service;

import cn.com.qmth.examcloud.commons.api.request.SyncCourseReq;
import cn.com.qmth.examcloud.commons.api.request.SyncExamReq;
import cn.com.qmth.examcloud.commons.api.request.SyncExamStudentReq;
import cn.com.qmth.examcloud.commons.api.request.SyncOrgReq;
import cn.com.qmth.examcloud.commons.api.request.SyncSpecialtyReq;
import cn.com.qmth.examcloud.commons.api.request.SyncStudentReq;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年9月19日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface DataSyncService {

	/**
	 * 同步课程
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	void syncCourse(SyncCourseReq req);

	/**
	 * 同步机构
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	void syncOrg(SyncOrgReq req);

	/**
	 * 同步学生
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	void syncStudent(SyncStudentReq req);

	/**
	 * 同步考生
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	void syncExamStudent(SyncExamStudentReq req);

	/**
	 * 同步专业
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	void syncSpecialty(SyncSpecialtyReq req);

	/**
	 * 同步考试
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	void syncExam(SyncExamReq req);

}
